var e = require("../../common/vendor.js"),
  n = require("../../hooks/onMounted.js"),
  r = require("../../hooks/onShareAppMessage.js"),
  t = require("../../service/index.js"),
  u = require("../../constant/index.js"),
  i = require("../../utils/util.js");
require("../../hooks/useState.js"),
  require("../../store/app/index.js"),
  require("../../enums/index.js"),
  require("../../data/index.js"),
  require("../../config/index.js"),
  require("../../utils/request.js"),
  Math || (e.unref(a) + e.unref(s) + e.unref(o) + e.unref(d))();
var a = function () {
    return "../../components/vehicle-number/index.js";
  },
  o = function () {
    return "../../components/empty/index.js";
  },
  s = function () {
    return "../../components/divider/index.js";
  },
  d = function () {
    return "../../components/float-share/index.js";
  },
  v = {
    __name: "index",
    setup: function (a) {
      var o = e.ref(!0),
        s = e.ref(!1),
        d = e.ref({}),
        v = function () {
          e.index.setClipboardData({ data: d.value.vin }).then(function () {
            i.showToast("VIN车架号已复制");
          });
        };
      return (
        n.onMounted(function (e) {
          var n = e.order_no,
            r = e.product_id;
          i.showLoading("努力查询中"),
            t
              .getReportDetail({ order_no: n, product_id: r })
              .then(function (e) {
                var n = e.type;
                "101" === n
                  ? (e.type = "小型汽车")
                  : "102" === n
                  ? (e.type = "大型汽车")
                  : "103" === n
                  ? (e.type = "小型新能源汽车")
                  : "104" === n && (e.type = "大型新能源汽车"),
                  (d.value = e),
                  (o.value = !1),
                  i.hideLoading();
              });
        }, !1),
        r.onShareAppMessage(),
        function (n, r) {
          return e.e(
            { a: !o.value },
            o.value
              ? {}
              : e.e(
                  { b: !s.value },
                  s.value
                    ? {}
                    : e.e(
                        { c: d.value.car_no },
                        d.value.car_no
                          ? { d: e.p({ data: d.value.car_no }) }
                          : {},
                        { e: d.value.vin },
                        d.value.vin ? { f: e.t(d.value.vin), g: e.o(v) } : {},
                        {
                          h: e.t(d.value.brand_name),
                          i: e.t(d.value.type),
                          j: e.t(d.value.engine_no),
                          k: e.t(d.value.first_issue_date),
                          l: e.t(e.unref(u.disclaimer)),
                        }
                      ),
                  { m: s.value },
                  s.value ? { n: e.p({ info: "抱歉~！没有查到数据哦" }) } : {}
                )
          );
        }
      );
    },
  },
  c = e._export_sfc(v, [["__scopeId", "data-v-1415ca37"]]);
(v.__runtimeHooks = 2), wx.createPage(c);
